Redmine - Feature #10672

Extend Filesize in the attachments table for files with size > 2147483647 bytes
2012-04-16 10:45 - Oliver Maurhart

Status: Closed Start date:

Priority: Low Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Attachments Estimated time: 0.00 hour
Target version: 3.2.0

Resolution: Fixed

Description

We use Redmine for our Projects. On the "Files" Tab we also offer complete VirtualBox images containing trial versions for our
software. Naturally these files exceed 2.1 GB in size.

It was a bit tricky to get these files into Redmine but | managed it. (No, | did not upload them via web browser). Now all is perfect. |
can download the images and play around with them.

Sadly, due to the "attachment" table definition in the Redmine Database been filesize of INT - which is basically a signed 32 bit
integer - the displayed filesize is wrong. So the "Files" Tab always shows the wrong size.

It's not a big deal anyway, since download works. It's just a minor quirk. Maybe a BIGINT in the SQL database definition would help

Associated revisions

Revision 14709 - 2015-10-20 18:36 - Jean-Philippe Lang
Extend Filesize in the attachments table for files with size > 2GB (#10672).

History

#1 - 2013-07-15 16:32 - Glenn Gould

We had a similar problem with bigger downloads. In our case, we manually wrote "-1" to the filesize field and added the real filesize manually in the
description, however, it would be very nice to be able to store bigger filesizes directly in the redmine database.

#2 - 2013-07-16 08:25 - Etienne Massip

- Target version set to Candidate for next minor release

#3 - 2013-07-16 08:26 - Etienne Massip

- Target version changed from Candidate for next minor release to Candidate for next major release

#4 - 2015-07-25 04:29 - Go MAEDA

- File change_attachments_file_size_limit.diff added

| have created a patch to change type of filesize column to bigint.

#5 - 2015-07-25 05:36 - Toshi MARUYAMA

- Target version changed from Candidate for next major release to 3.2.0

#6 - 2015-10-20 14:37 - Karel Picman

| believe that you can use bigint instead of :limit => 8

def up
change_column :attachments, :filesize, :bigint, :default => 0, :null => false
end

#7 - 2015-10-20 18:25 - Jean-Philippe Lang

bigint is not mentionned in the Rails doc:
http://api.rubyonrails.org/classes/ActiveRecord/ConnectionAdapters/TableDefinition.html#method-i-column
http://api.rubyonrails.org/classes/ActiveRecord/ConnectionAdapters/TableDefinition.html#method-i-column

#8 - 2015-10-20 18:36 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Change committed in r14709.

Files
change_attachments_file_size_limit.diff 559 Bytes 2015-07-25 Go MAEDA
